System Requirements - 5.0 Interfacing Product Suite

CAD Import Module and Design Module Requirements

Windows® Windows® 7 or later are supported. Vista is supported but functionality may be limited.
Mac OS X® Mac OS X® 10.8 or later are supported.
Linux® OS Specific System Requirements only.

File import of the NX® file format is available only on a supported Windows® or Linux® operating system. File import of the AutoCAD®, Inventor®, SOLIDWORKS® file formats is available only on a supported Windows® operating system.

File Import for CATIA® V5 Requirements

The File Import for CATIA® V5 add-on to the CAD Import Module is only available for Windows® 7 and higher.

LiveLink for Excel® Requirements

LiveLink for Excel® is compatible with Excel® 2007, 2010 and 2013 on Windows®. Excel® 2010 Starter is not supported.

LiveLink for MATLAB® Requirements

LiveLink for MATLAB® is compatible with MATLAB® R2014a and R2014b, on all operating systems. For Linux® Operating Systems, the programs xterm and csh are required.

LiveLink Requirements

The bidirectional interface functionality of the product suite detailed in the table below is only available for Windows® 7 and higher operating systems. For other included functionality, such as file import and geometric operations, see the CAD Import Module and Design Module Requirements.

LiveLink Compatible Software
LiveLink for AutoCAD® AutoCAD® 2014 and 2015
LiveLink for Inventor® Inventor® 2014 and 2015
LiveLink for PTC® Creo® Parametric PTC® Creo® Parametric 2.0 and 3.0
LiveLink for PTC® Pro/ENGINEER® PTC® Pro/ENGINEER® Wildfire® 4.0, 5.0 and PTC® Creo® Elements Pro 5.0
LiveLink for Revit® Revit® 2015 and Revit® Architecture 2015
LiveLink for Solid Edge® Solid Edge® ST6 and ST7
LiveLink for SOLIDWORKS® SOLIDWORKS® 2014 and 2015

NOTE:This information is provided for your benefit but should not be used as a substitute for your own investigation of the system requirements that may be appropriate for your use of COMSOL® software or other software, given your particular circumstances. Systems and hardware change regularly, which may impact any determination of what system requirements are appropriate you.

Version 5.0
Version 4.4
Version 4.3b